package vc.thinker.mqtt.proxyclient.entity.up;

import lombok.Getter;
import vc.thinker.absctacts.protocolproxy.dto.IServiceExecuteResult;
import vc.thinker.absctacts.protocolproxy.enums.ServiceExecuteResultType;

/**
 * 服务执行结果
 *
 * @author HeTongHao
 * @since 2021/8/11 17:47
 */
@Getter
public class ServiceExecResult {
    public ServiceExecResult(String protocolCode, IServiceExecuteResult serviceExecuteResult) {
        this.protocolCode = protocolCode;
        this.requestId = serviceExecuteResult.getRequestId();
        // 当前只有两种，简单实现:
        this.resCode = ServiceExecuteResultType.ok.equals(serviceExecuteResult.getType()) ? "200" : "500";
        this.resMsg = serviceExecuteResult.getMessage();
    }

    private final String protocolCode;
    private final String requestId;
    private final String resCode;
    private final String resMsg;
}
